package org.xbib.interlibrary.api.action;

import org.xbib.interlibrary.api.config.Configuration;
import org.xbib.settings.Settings;

public class ActionArguments {

    private final Configuration configuration;

    private final Settings settings;

    private final ClassLoader classLoader;

    public ActionArguments(Configuration configuration,
                           Settings settings,
                           ClassLoader classLoader) {
        this.configuration = configuration;
        this.settings = settings;
        this.classLoader = classLoader;
    }

    public Configuration getInterlibraryConfiguration() {
        return configuration;
    }

    public Settings getSettings() {
        return settings;
    }

    public ClassLoader getClassLoader() {
        return classLoader;
    }
}
