package org.xbib.interlibrary.api.library;

import java.io.IOException;
import java.util.EnumSet;
import java.util.List;

public interface LibraryLocations {

    List<String> getAccounts() throws IOException;

    List<String> getConfiguredAccounts() throws IOException;

    List<String> getLocations(String isil, EnumSet<Station.Process> processes) throws IOException;

    void addLocation(String isil, String location, Station.Process process) throws IOException;

    void removeLocation(String isil, String location, Station.Process process) throws IOException;

    List<Station> getStations(String isil) throws IOException;

    void addStation(Station station) throws IOException;

    void removeStation(Station station) throws IOException;
}
