package org.xbib.interlibrary.api.library;

import java.net.URI;
import java.util.List;
import java.util.Map;

public interface Station {

    boolean isEnabled();

    String getISIL();

    String getName();

    Process getProcess();

    String getSortKey();

    List<URI> getURIs();

    Map<String, Object> asMap();

    interface Builder {
        Station build();
    }

    enum Process {
        M3PRINT,
        BCS2,
        UPLOAD,
        DESKTOP
    }
}
