package org.xbib.interlibrary.api.order;

import java.io.IOException;
import java.util.Map;

public interface BibliographicData {

    String getSource();

    String getSourceId();

    String getDoi();

    String getYear();

    String getAuthor();

    String getTitle();

    String getInTitle();

    String getVolume();

    String getIssue();

    String getPagination();

    String getPublisher();

    String getPublisherPlace();

    String getIsbn();

    String getIssn();

    String toJson() throws IOException;

    Map<String, Object> asMap();
}
