package org.xbib.interlibrary.api.order;

import java.io.IOException;
import java.util.Map;

public interface ExternalReference {

    String getDomain();

    String getOrganization();

    String getIsil();

    String getSigel();

    String getRequester();

    String getOrderNumber();

    String getTransactionNumber();

    String toJson() throws IOException;

    Map<String, Object> asMap();
}
