package org.xbib.interlibrary.api.order;

import java.io.IOException;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

public interface History {

    interface Entry {

        int getPos();

        LocalDateTime getTime();

        String getIsil();

        Status getStatus();

        String getInfo();

        String toJson() throws IOException;

        Map<String, Object> asMap();
    }

    List<? extends Entry> getEntries();

    String toJson() throws IOException;

    Map<String, Object> asMap();
}
