package org.xbib.interlibrary.api.order;

import java.io.IOException;
import java.time.LocalDateTime;
import java.util.Map;

public interface Supply {

    int getPos();

    String getIsil();

    boolean isSupplied();

    LocalDateTime getSupplyTime();

    Long getPages();

    String getDeliveryHash();

    boolean isDirectDelivery();

    String toJson() throws IOException;

    Map<String, Object> asMap();

}
