package org.xbib.interlibrary.api.order.statistics;

import java.util.List;
import java.util.Map;

public interface Statistics {

    interface Entry {

        Object get(String key);

        long getCount();
    }

    List<? extends Entry> getEntries();

    boolean isEmpty();

    void add(Statistics statistics);

    Map<String, Object> asMap();

    List<String> getColumnNames();
}
