package org.xbib.interlibrary.api.order.summary;

import java.io.IOException;
import java.util.List;

import org.xbib.interlibrary.api.order.Circulation;
import org.xbib.interlibrary.api.order.OrderSystem;
import org.xbib.interlibrary.api.order.Status;

public interface Summary {

    interface Entry {

        OrderSystem getOrderSystem();

        Circulation getCirculation();

        String getCirculationTranslation();

        Status getStatus();

        long getCount();
    }

    List<? extends Entry> getEntries();

    boolean isEmpty();

    void add(Summary summary);

    String toJson() throws IOException;

}
