package org.xbib.interlibrary.api.order.tracking;

import java.io.IOException;
import org.xbib.settings.Settings;

public interface OrderTracker {

    String getISIL();

    void init(Settings settings) throws IOException;

    void track(String orderNumber, EventHandler handler) throws IOException;

    void track(String domain, String requesterId, String transactionId, EventHandler handler) throws IOException;
}
