package org.xbib.interlibrary.api.order.transfer;

import java.io.IOException;
import org.xbib.interlibrary.api.order.Order;
import org.xbib.interlibrary.api.order.message.MessageType;
import org.xbib.settings.Settings;

public interface OrderTransfer {

    String getISIL();

    void init(Settings settings);

    void transfer(MessageType messageType,
                  Order order,
                  EventHandler eventHandler) throws IOException;
}
