package org.xbib.interlibrary.api.transaction;

import java.util.List;
import java.util.Map;

public interface TransactionNumberManager {

    List<String> createTAN(String owner, String value, String group, int count);

    Boolean invalidateTAN(String owner, String tan);

    List<String> getAllValidTANs(String owner, String value, String group);

    Map<String, Object> showTAN(String owner, String tan);

    Map<String, Object> isTANValid(String owner, String value, String group, String tan);
}
