package org.xbib.interlibrary.api;

import java.util.Collection;
import java.util.Map;
import java.util.Optional;

public interface BibliographicDescription {

    String getSource();

    String getSourceId();

    String getFormattedSourceId();

    boolean getChecksum();

    Collection<Map<String, String>> getIdentifiers();

    Collection<String> getIdentifiers(String type);

    Optional<String> getIdentifier(String type);

    Integer getYear();

    String getTitle();

    String getInTitle();

    String getAuthor();

    String getVolume();

    String getIssue();

    String getPagination();

    String getPublisher();

    String getSearchSource();

    String getSearchSourceId();
}
