package org.xbib.interlibrary.api.action;

public interface Response<R extends Request> {

    enum Status {
        OK, RETRY, EMPTY_RESPONSE, NOT_FOUND, TIMEOUT, ERROR, UNDEFINED;
    }

    R getRequest();

    Status getStatus();

    Throwable getThrowable();
}
