package org.xbib.interlibrary.api.library;

import java.util.Map;
import org.xbib.interlibrary.api.config.Configuration;

public class DefaultLibraryArguments implements LibraryArguments {

    private final Configuration configuration;

    private final String isil;

    private Map<String, Object> map;

    public DefaultLibraryArguments(Configuration configuration,
                                   String isil) {
        this.configuration = configuration;
        this.isil = isil;
    }

    @Override
    public Configuration getInterlibraryConfiguration() {
        return configuration;
    }

    @Override
    public String getISIL() {
        return isil;
    }

    @Override
    public void setMap(Map<String, Object> map) {
        this.map = map;
    }

    @Override
    public Map<String, Object> getMap() {
        return map;
    }
}
