package org.xbib.interlibrary.api.library;

import org.xbib.interlibrary.api.product.Product;

import java.util.Collection;
import java.util.Map;
import java.util.regex.Pattern;

public interface IndexLibrary extends Product {

    Collection<String> getAliases();

    Domain getDomain();

    boolean isRegisteredInterlibrary();

    boolean isCopyInterlibrary();

    boolean isOnlineInterlibrary();

    Collection<String> getCollections();

    Map<Pattern, Object> getFilter();

    Map<String, Object> getStatusCodes();

    Map<String, Object> getSubLibraries();

    void addUnmappedStatusText(String statusText);

    Collection<String> getUnmappedStatusTexts();
}
