package org.xbib.interlibrary.api.library;

import java.io.IOException;
import java.util.Collection;

import org.xbib.settings.Settings;

public interface LibraryProvider {

    LibraryProvider init(Settings settings) throws IOException;

    Collection<String> provideLibraryIdentifiers(LibraryArguments arguments) throws IOException;

    Library provide(LibraryArguments arguments) throws IOException;
}
