package org.xbib.interlibrary.api.library;

public interface Place extends Comparable<Place> {

    String getCountry();

    String getProvince();

    String getPlace();

    String getZip();

    boolean isPublic();

    static Place of(String country,
                    String province,
                    String place,
                    String zip,
                    boolean isPublic) {
        return new DefaultPlace(country, province, place, zip, isPublic);
    }
}
