package org.xbib.interlibrary.api.order;

import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface Client {

    String getClientId();

    String getClientName();

    String getClientGroup();

    String getClientEmail();

    List<String> getClientAddressLines();

    String getClientComment();

    String getMaxCost();

    String getOtherEdition();

    String getReservation();

    String getSupplyBefore();

    String getPickupLocation();

    String getPickupCode();

    String toJson() throws IOException;

    Map<String, Object> asMap();

}
