package org.xbib.interlibrary.api.order;

public enum DeliveryStyle {

    UNDEFINED("[nicht definiert]"),

    FAX("Fax"),

    WWW("Web"),

    FTP("File Transfer"),

    EMAIL("E-Mail"),

    PRINT("Ausdruck"),

    NET("Netz"),

    POST("Post"),

    INHOUSE("Hauspost"),

    COLLECT("Abruf"),

    NETWORK("verbundübergreifend"),

    DISTANCELEARNING("Fern-Uni"),

    PRINTINGSYSTEM("Drucksystem");

    private final String label;

    DeliveryStyle(String label) {
        this.label = label;
    }

    public String getLabel() {
        return label;
    }
}
