package org.xbib.interlibrary.api.order;

public enum OrderSystem {

    UNDEFINED(-1, "UNDEFINED"),

    MEDEA(0, "MEDEA"),

    ZFL(1, "ZFL"),

    SUBITO(2, "SUBITO"),

    DIGIBIB(3, "DIGIBIB"),

    OCTOPUS(4, "OCTOPUS");

    private final int code;

    private final String label;

    OrderSystem(int code, String label) {
        this.code = code;
        this.label = label;;
    }

    public int getCode() {
        return code;
    }

    public String getLabel() {
        return label;
    }
}
