package org.xbib.interlibrary.api.order;

import java.io.IOException;
import java.time.LocalDateTime;
import java.util.Map;

public interface Requester {

    String getIsil();

    String getTransactionId();

    LocalDateTime getRequestTime();

    Client getClient();

    ExternalReference getExternalReference();

    String toJson() throws IOException;

    Map<String, Object> asMap();
}
